#!/bin/sh

folders=($(ls $PWD/config))
files=("bashrc" "zshrc" "profile" "xbindkeysrc" "xprofile")

for folder in "${folders[@]}"; do
	 ln -sf $PWD/config/$folder $HOME/.config/
done

for file in "${files[@]}"; do
	ln -sf $PWD/$file $HOME/.$file
done

# TODO Clean me up
mkdir -p $HOME/.config/zsh/{plugins,zprompts}
git clone https://github.com/xylous/gitstatus $HOME/Projects/gitstatus
ln -sf $HOME/Projects/gitstatus/gitstatus.plugin.zsh $HOME/.config/zsh/plugins/gitstatus.zsh
ln -sf $PWD/zprompts/bunni.zsh $HOME/.config/zsh/zprompts/prompt_bunni_setup
